Name:           python-pyproject-hooks
Version:        1.0.0
Release:        %mkrel 2
Summary:        Wrappers to call pyproject.toml-based build backend hooks
Group:          Development/Python


License:        MIT
URL:            https://pypi.org/project/pyproject_hooks/
Source:         %{pypi_source pyproject_hooks}
Patch0:         0001-Relax-requirements.patch

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros


%global _description %{expand:
This is a low-level library for calling build-backends in pyproject.toml-based 
project. It provides the basic functionality to help write tooling that 
generates distribution files from Python projects.}


%description %_description

%package -n     python3-pyproject-hooks
Summary:        %{summary}

%description -n python3-pyproject-hooks %_description


%prep
%autosetup -p1 -n pyproject_hooks-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyproject_hooks


%check
%pyproject_check_import


%files -n python3-pyproject-hooks -f %{pyproject_files}
%doc README.rst
%license LICENSE


%changelog
* Sat Dec 09 2023 wally <wally> 1.0.0-2.mga10
+ Revision: 2016635
- rebuild for py3.12

* Wed Sep 20 2023 papoteur <papoteur> 1.0.0-1.mga10
+ Revision: 1988454
- relax requirements
- imported for python-build
- fix group (SLIENT)
- imported package python-pyproject-hooks

